<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structmtb__e2271cs021__font__t" kind="struct" language="C++" prot="public">
    <compoundname>mtb_e2271cs021_font_t</compoundname>
    <includes local="no">mtb_e2271cs021.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structmtb__e2271cs021__font__t_1a923b9c094f90ca8dffae47e5d5be05e2" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* mtb_e2271cs021_font_t::fontData</definition>
        <argsstring />
        <name>fontData</name>
        <briefdescription>
<para>Pointer to the font pixel data array. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" bodystart="90" column="1" file="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" line="90" />
      </memberdef>
      <memberdef id="structmtb__e2271cs021__font__t_1a9263b5e0f43caa94f6ba84e2947d0d52" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t mtb_e2271cs021_font_t::xOffset</definition>
        <argsstring />
        <name>xOffset</name>
        <briefdescription>
<para>X offset of the font in pixels. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" bodystart="92" column="1" file="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" line="92" />
      </memberdef>
      <memberdef id="structmtb__e2271cs021__font__t_1a5e682b812542d97820d4993480c34e00" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t mtb_e2271cs021_font_t::yOffset</definition>
        <argsstring />
        <name>yOffset</name>
        <briefdescription>
<para>Y offset of the font in pixels. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" bodystart="94" column="1" file="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" line="94" />
      </memberdef>
      <memberdef id="structmtb__e2271cs021__font__t_1a6d03481f56ea3f7b26366f5019d4f68f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t mtb_e2271cs021_font_t::xSize</definition>
        <argsstring />
        <name>xSize</name>
        <briefdescription>
<para>X size of one font data in bytes. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" bodystart="96" column="1" file="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" line="96" />
      </memberdef>
      <memberdef id="structmtb__e2271cs021__font__t_1aec4859d2ecd46f87b3f9a0fa5b6be16e" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t mtb_e2271cs021_font_t::ySize</definition>
        <argsstring />
        <name>ySize</name>
        <briefdescription>
<para>Y size of one font data in bytes. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" bodystart="98" column="1" file="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" line="98" />
      </memberdef>
      <memberdef id="structmtb__e2271cs021__font__t_1aaeaea9fd36bcacdb183c696ddcabcf2e" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t mtb_e2271cs021_font_t::xSpan</definition>
        <argsstring />
        <name>xSpan</name>
        <briefdescription>
<para>Number of characters that fit the screen horizontally. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" bodystart="100" column="1" file="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" line="100" />
      </memberdef>
      <memberdef id="structmtb__e2271cs021__font__t_1a0a71581fa1627cb3839e77bd7cfe479a" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t mtb_e2271cs021_font_t::ySpan</definition>
        <argsstring />
        <name>ySpan</name>
        <briefdescription>
<para>Number of characters that fit the screen vertically. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" bodystart="102" column="1" file="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" line="102" />
      </memberdef>
      <memberdef id="structmtb__e2271cs021__font__t_1a2f5c71d63ba1f1efe87c77e45151bb60" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool mtb_e2271cs021_font_t::color</definition>
        <argsstring />
        <name>color</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" bodystart="105" column="1" file="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" line="105" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Structure that contains font information. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="106" bodyfile="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" bodystart="87" column="1" file="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" line="88" />
    <listofallmembers>
      <member prot="public" refid="structmtb__e2271cs021__font__t_1a2f5c71d63ba1f1efe87c77e45151bb60" virt="non-virtual"><scope>mtb_e2271cs021_font_t</scope><name>color</name></member>
      <member prot="public" refid="structmtb__e2271cs021__font__t_1a923b9c094f90ca8dffae47e5d5be05e2" virt="non-virtual"><scope>mtb_e2271cs021_font_t</scope><name>fontData</name></member>
      <member prot="public" refid="structmtb__e2271cs021__font__t_1a9263b5e0f43caa94f6ba84e2947d0d52" virt="non-virtual"><scope>mtb_e2271cs021_font_t</scope><name>xOffset</name></member>
      <member prot="public" refid="structmtb__e2271cs021__font__t_1a6d03481f56ea3f7b26366f5019d4f68f" virt="non-virtual"><scope>mtb_e2271cs021_font_t</scope><name>xSize</name></member>
      <member prot="public" refid="structmtb__e2271cs021__font__t_1aaeaea9fd36bcacdb183c696ddcabcf2e" virt="non-virtual"><scope>mtb_e2271cs021_font_t</scope><name>xSpan</name></member>
      <member prot="public" refid="structmtb__e2271cs021__font__t_1a5e682b812542d97820d4993480c34e00" virt="non-virtual"><scope>mtb_e2271cs021_font_t</scope><name>yOffset</name></member>
      <member prot="public" refid="structmtb__e2271cs021__font__t_1aec4859d2ecd46f87b3f9a0fa5b6be16e" virt="non-virtual"><scope>mtb_e2271cs021_font_t</scope><name>ySize</name></member>
      <member prot="public" refid="structmtb__e2271cs021__font__t_1a0a71581fa1627cb3839e77bd7cfe479a" virt="non-virtual"><scope>mtb_e2271cs021_font_t</scope><name>ySpan</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>